#!/usr/bin/env python

import os
import re
import sys

def find_path(expr):
    pat = re.compile(expr)
    for x in sys.path:
        if pat.search(x):
            return x
    return None

if __name__ == '__main__':
    gpath = find_path(r"usr.*packages$")
    if not gpath:
        gpath = find_path(r"^.*/Library.*-packages$")
    if (len(sys.argv) > 1) and (sys.argv[1] == 'local'):
        path = find_path(r"\.local.*packages$")
        if not path:
            path = "%s/.local/lib/python%s/site-packages" % (os.environ['HOME'], re.search(r"[0-9]\.[0-9]", gpath).group(0))
        print path
    else:
        print gpath
